Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat.training
Class NEATBaseGene

    java.lang.Object
      org.encog.neural.neat.training.NEATBaseGene

All Implemented Interfaces:
  Serializable, Comparable<NEATBaseGene>

Direct Known Subclasses:
  NEATLinkGene, NEATNeuronGene

    public class NEATBaseGene

extends Object
implements Comparable<NEATBaseGene>, Serializable

Defines a base class for NEAT genes. A neat gene holds instructions on how to create either a neuron or a link. The NEATLinkGene and NEATLinkNeuron classes extend NEATBaseGene to provide this specific functionality. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

See Also:
  Serialized Form

Constructor Summary
`NEATBaseGene()`

Method Summary
`int` | `compareTo(NEATBaseGene o)`
`long` | `getId()`
`long` | `getInnovationId()`
`void` | `setId(long i)` Set the id for this gene.
`void` | `setInnovationId(long theInnovationID)` Set the innovation id for this gene.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NEATBaseGene

    public NEATBaseGene()

Method Detail

### compareTo

    public int compareTo(NEATBaseGene o)

  Specified by:
    `compareTo` in interface `Comparable<NEATBaseGene>`

### getId

    public long getId()

  Returns:
    The id of this gene.

### getInnovationId

    public long getInnovationId()

  Returns:
    The innovation id of this gene.

### setId

    public void setId(long i)

  Set the id for this gene.

  Parameters:
    `i` - The id for this gene.

### setInnovationId

    public void setInnovationId(long theInnovationID)

  Set the innovation id for this gene.

  Parameters:
    `theInnovationID` - The innovation id for this gene.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.